Winterfest logo


 

Pages which require Internet Explorer


A few of our pages at Winterfest Online require Internet Explorer 5.5 or greater. Here's a list:
  • Test Your Memory in the Game Nook
These pages have enhanced functionality in IE:
  • The B&B Museum will let you view but not upload pictures unless you have IE.
Please let us know if you find any other pages which don't behave in Firefox, Chrome, Opera, Safari, or other browsers. Thanks.

Likewise, should you run across a non-IE compatible version of the square jigsaw we're using in Test Your Memory, drop us a line please!

2009.02.04